Skip to main content
PUT
Create or rotate a remote MCP toolset's OAuth client

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

toolsetId
string
required

Body

application/json
authMethod
enum<string>
required
Available options:
none,
client_secret_basic,
client_secret_post
clientId
string
required
Maximum string length: 2048
expectedGeneration
integer<int64>
Required range: x >= 1
secret
string
write-only
Maximum string length: 8192

Response

Updated safe OAuth client configuration.

client
object | null
required
redirectUri
string<uri>
required